GetTopVideos

GET/analytics/v1/top/videos

Query Parameters

limit?limit

The limit query parameter.

Formatint32
range.start?start

The range.start query parameter.

range.end?end

The range.end query parameter.

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/analytics.v1.TopVideosResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "videos": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/analytics.v1.VideoStats",
          "$ref-value": {
            "type": "object",
            "properties": {
              "video_id": {
                "type": "string",
                "examples": [
                  "FpzVPNx1cG"
                ],
                "title": "video_id"
              },
              "total_views": {
                "type": "string",
                "examples": [
                  "1250"
                ],
                "title": "total_views",
                "format": "int64"
              },
              "unique_viewers": {
                "type": "string",
                "examples": [
                  "1250"
                ],
                "title": "unique_viewers",
                "format": "int64"
              },
              "avg_watch_time_ms": {
                "type": "number",
                "examples": [
                  "0.85"
                ],
                "title": "avg_watch_time_ms",
                "format": "double"
              },
              "total_watch_time_ms": {
                "type": "number",
                "examples": [
                  "0.85"
                ],
                "title": "total_watch_time_ms",
                "format": "double"
              },
              "starts": {
                "type": "string",
                "examples": [
                  "1250"
                ],
                "title": "starts",
                "format": "int64"
              },
              "watches": {
                "type": "string",
                "examples": [
                  "1250"
                ],
                "title": "watches",
                "format": "int64"
              },
              "completions": {
                "type": "string",
                "examples": [
                  "1250"
                ],
                "title": "completions",
                "format": "int64"
              },
              "completion_rate": {
                "type": "number",
                "examples": [
                  "0.85"
                ],
                "title": "completion_rate",
                "format": "double"
              }
            },
            "title": "VideoStats",
            "additionalProperties": false
          }
        },
        "title": "videos"
      }
    },
    "title": "TopVideosResponse",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/analytics/v1/top/videos"

Success

application/json

{
  "$ref": "#/components/schemas/analytics.v1.TopVideosResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "videos": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/analytics.v1.VideoStats",
          "$ref-value": {
            "type": "object",
            "properties": {
              "video_id": {
                "type": "string",
                "examples": [
                  "FpzVPNx1cG"
                ],
                "title": "video_id"
              },
              "total_views": {
                "type": "string",
                "examples": [
                  "1250"
                ],
                "title": "total_views",
                "format": "int64"
              },
              "unique_viewers": {
                "type": "string",
                "examples": [
                  "1250"
                ],
                "title": "unique_viewers",
                "format": "int64"
              },
              "avg_watch_time_ms": {
                "type": "number",
                "examples": [
                  "0.85"
                ],
                "title": "avg_watch_time_ms",
                "format": "double"
              },
              "total_watch_time_ms": {
                "type": "number",
                "examples": [
                  "0.85"
                ],
                "title": "total_watch_time_ms",
                "format": "double"
              },
              "starts": {
                "type": "string",
                "examples": [
                  "1250"
                ],
                "title": "starts",
                "format": "int64"
              },
              "watches": {
                "type": "string",
                "examples": [
                  "1250"
                ],
                "title": "watches",
                "format": "int64"
              },
              "completions": {
                "type": "string",
                "examples": [
                  "1250"
                ],
                "title": "completions",
                "format": "int64"
              },
              "completion_rate": {
                "type": "number",
                "examples": [
                  "0.85"
                ],
                "title": "completion_rate",
                "format": "double"
              }
            },
            "title": "VideoStats",
            "additionalProperties": false
          }
        },
        "title": "videos"
      }
    },
    "title": "TopVideosResponse",
    "additionalProperties": false
  }
}